const { ApiUserInfo, ApiBindPhone } = require("../../http/api")
const { wxGet, wxPost } = require("../../http/network")

// pages/mine/user-info.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    data: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    
  }, 
  onShow(){
    this.getUserInfo()
  },
  getUserInfo(){
    wxGet(ApiUserInfo).then(res=>{
      this.setData({
        data: res.data
      })
    })
  },
  getPhoneNumber(e) {
    wx.showLoading({
      title: '绑定中',
    })

    let that = this
    wx.login({
      timeout:3000,
      success(t){
        let param = {
          code: t.code,
          encryptedData: e.detail.encryptedData,
          iv: e.detail.iv
        }
        wxPost(ApiBindPhone, param).then((res) => {
         that.getUserInfo()
          wx.hideLoading()
        }).catch(()=>{
          wx.hideLoading()
        })
      }
    })
  },
  changePhone(){
    wx.navigateTo({
      url: './change-phone',
    })
  }
})