const { ApiServiceDetail } = require("../../http/api")
const { wxGet } = require("../../http/network")
const { jumpPage } = require("../../utils/common")

// pages/service/service-detail.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: 0,
    data: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let id = options.id
    this.setData({
      id
    })
    let serviceName = options.serviceName
    wx.setNavigationBarTitle({
      title: serviceName,
    })
    this.getData()
  },
  getData(){
    wxGet(ApiServiceDetail + this.data.id).then(res=>{
      this.setData({
        data: res.data
      })
    })
  },
  orderAction:jumpPage(function(e){
    let info = {
      serviceName: this.data.data.serviceName,
      description: this.data.data.description,
      img: this.data.data.img,
      id: this.data.data.id
    }
    wx.navigateTo({
      url: '../order/order-service?info=' + encodeURIComponent(JSON.stringify(info)),
    })
  },true)
})